#/usr/bin/env python

import os;
import sys;
import getopt;
import os.path;
import matplotlib.pyplot as plt;
import matplotlib as mpl;
import numpy as np;
import matplotlib.cbook as cbook;
from matplotlib.ticker import FormatStrFormatter;

#Definition of variables
mutant = "LBC";
test = "test";

def scale_down(data,int):
    out = [x/int for x in data];
    return out;

def read_csv(path,file):
    power = np.genfromtxt(path+file+".csv", dtype=float, delimiter=',', skip_header=2, skip_footer=10, usecols=(9));
    time = np.genfromtxt(path+file+".csv", dtype=int, delimiter=',', skip_header=2, skip_footer=10, usecols=(8));
    
    #power = np.genfromtxt(path+file+".csv", dtype=float, delimiter=',', usecols=(1));
    #time = np.genfromtxt(path+file+".csv", dtype=int, delimiter=',', usecols=(2));
    fig = plt.figure();
    ax = fig.add_subplot(111);
    plt.ylabel('Power Consumption [mW]');
    plt.xlabel('Time [s]');
    plt.ylim(np.nanmin(power),np.nanmax(power));#To fit the y-axis to values
    plt.xlim(0,np.amax(time));#To fit the x-axis to values

    ax.plot(time,power);
    
    x_labels = np.array([item/1000 for item in ax.get_xticks()]);#To scale time values to second
    ax.set_xticklabels(x_labels);
    y_labels = np.array([item/1000 for item in ax.get_yticks()]);#To scale power values to mWatt
    ax.set_yticklabels(y_labels);
    
    #plt.show();
    plt.savefig(mutant+"_"+test+".png");
    plt.close(fig);

def main(argv):
    file = sys.argv[1];
    cuurent_path = os.getcwd();
    data_path = cuurent_path+"/"+mutant+"/"+test+"/"+test;

    read_csv(data_path,file);

if __name__ == "__main__": main(sys.argv[1:])
